Bug 428718 - Review Request: pysvn - Python bindings for Subversion
Review Request: pysvn - Python bindings for Subversion
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 433863 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 14:56 EST by Timothy Selivanow
Modified: 2008-09-28 15:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-16 13:08:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Changes made to the python-svn spec file (1.00 KB, patch)
2008-02-08 14:54 EST, Timothy Selivanow
no flags Details | Diff

  None (edit)
Description Timothy Selivanow 2008-01-14 14:56:54 EST
Spec URL: http://yum.virtualxistenz.com/python-svn/python-svn.spec
SRPM URL: http://yum.virtualxistenz.com/python-svn/python-svn-1.5.2-3.f8.src.rpm
Description: Pythonic style bindings for Subversion
Comment 1 Mamoru TASAKA 2008-02-08 10:55:22 EST
This does not build.
http://koji.fedoraproject.org/koji/taskinfo?taskID=403391

Note:
As this review request does not block FE-NEEDSPONSOR, you can
try to build your srpm by koji scratch build as:
$ koji build --scratch <target> <srpm_you_want_to_try>
If the build is successful, the result rpms and some logs are put on:
http://koji.fedoraproject.org/scratch/<your_FAS_name>/task_<taskid>/
Comment 2 Timothy Selivanow 2008-02-08 12:15:14 EST
It looks like it is complaining about not being able to find the gssapi_krb5
library, which is part of krb5-devel.  When I build it (manually) on my host
after I remove krb5-devel (which also removes neon-devel and openssl-devel) it
complains about needing neon-devel, which I then install neon-devel.  neon-devel
requires krb5-devel and openssl-devel (which *is* needed by python-svn to
build), and it automatically installed when I `yum install neon-devel`.  Does
this not occur with koji?  Do I need to specify *all* deps even though some of
them are dep'd by other build deps?
Comment 3 Mamoru TASAKA 2008-02-08 12:40:55 EST
Umm?

[tasaka1@localhost i386]$ rpm -q neon-devel
neon-devel-0.27.2-4.i386
[tasaka1@localhost i386]$ rpm -q --requires neon-devel
/bin/sh  
expat-devel  
gnutls-devel  
libneon.so.27  
neon = 0.27.2-4
pkgconfig  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
zlib-devel  

Also:
[tasaka1@localhost i386]$ rpm -q neon-devel krb5-devel
neon-devel-0.27.2-4.i386
krb5-devel-1.6.3-4.fc9.i386
[tasaka1@localhost i386]$ rpm -e --test neon-devel openssl-devel cups-devel
kdelibs3-devel w3c-libwww-devel libyaz-devel kdnssd-avahi-devel
[tasaka1@localhost i386]$

neon-devel does not seem to require krb5-devel.
Comment 4 Mamoru TASAKA 2008-02-08 12:52:58 EST
Adding NEEDSPONSOR.
Comment 5 Timothy Selivanow 2008-02-08 13:05:42 EST
I'm using f8, I notice that you're using rawhide.  In f8, neon deps openssl and
 openssl deps krb5.

I'll add krb5-devel as a build-requires, I was just a little suprised to see
that it failed to build in koji while it builds fine on two of my machines (but,
both are x86_64 f8, so not diverse at all).


$ sudo yum remove krb5-devel
Loading "fastestmirror" plugin
Loading "changelog" plugin
Setting up Remove Process
Loading mirror speeds from cached hostfile
 * livna: livna.cat.pdx.edu
 * fedora: mirrors.cat.pdx.edu
 * updates: mirrors.cat.pdx.edu
Resolving Dependencies
--> Running transaction check
---> Package krb5-devel.x86_64 0:1.6.2-9.fc8 set to be erased
--> Processing Dependency: krb5-devel for package: openssl-devel
--> Running transaction check
---> Package openssl-devel.x86_64 0:0.9.8b-17.fc8 set to be erased
--> Processing Dependency: openssl-devel for package: neon-devel
--> Processing Dependency: openssl-devel for package: neon-devel
--> Running transaction check
---> Package neon-devel.x86_64 0:0.27.2-2 set to be erased
---> Package neon-devel.i386 0:0.27.2-2 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Removing:
 krb5-devel              x86_64     1.6.2-9.fc8      installed         2.0 M
Removing for dependencies:
 neon-devel              x86_64     0.27.2-2         installed         385 k
 neon-devel              i386       0.27.2-2         installed         325 k
 openssl-devel           x86_64     0.9.8b-17.fc8    installed         4.9 M

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       0 Package(s)         
Remove       4 Package(s)

Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Erasing   : neon-devel                   ######################### [1/4] 
  Erasing   : krb5-devel                   ######################### [2/4] 
  Erasing   : neon-devel                   ######################### [3/4] 
  Erasing   : openssl-devel                ######################### [4/4] 

Removed: krb5-devel.x86_64 0:1.6.2-9.fc8
Dependency Removed: neon-devel.x86_64 0:0.27.2-2 neon-devel.i386 0:0.27.2-2
openssl-devel.x86_64 0:0.9.8b-17.fc8
Complete!


Then...


$ sudo yum install neon-devel
Loading "fastestmirror" plugin
Loading "changelog" plugin
Loading mirror speeds from cached hostfile
 * livna: livna.cat.pdx.edu
 * fedora: mirrors.cat.pdx.edu
 * updates: mirrors.cat.pdx.edu
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package neon-devel.x86_64 0:0.27.2-2 set to be updated
--> Processing Dependency: openssl-devel for package: neon-devel
---> Package neon-devel.i386 0:0.27.2-2 set to be updated
--> Running transaction check
---> Package openssl-devel.x86_64 0:0.9.8b-17.fc8 set to be updated
--> Processing Dependency: krb5-devel for package: openssl-devel
--> Running transaction check
---> Package krb5-devel.x86_64 0:1.6.2-9.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 neon-devel              x86_64     0.27.2-2         fedora            158 k
 neon-devel              i386       0.27.2-2         fedora            152 k
Installing for dependencies:
 krb5-devel              x86_64     1.6.2-9.fc8      fedora            1.1 M
 openssl-devel           x86_64     0.9.8b-17.fc8    fedora            1.8 M

Transaction Summary
=============================================================================
Install      4 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 3.3 M
Is this ok [y/N]: y
Downloading Packages:
(1/4): neon-devel-0.27.2- 100% |=========================| 152 kB    00:00     
(2/4): krb5-devel-1.6.2-9 100% |=========================| 1.1 MB    00:04     
(3/4): openssl-devel-0.9. 100% |=========================| 1.8 MB    00:04     
(4/4): neon-devel-0.27.2- 100% |=========================| 158 kB    00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: krb5-devel                   ######################### [1/4] 
  Installing: openssl-devel                ######################### [2/4] 
  Installing: neon-devel                   ######################### [3/4] 
  Installing: neon-devel                   ######################### [4/4] 

Installed: neon-devel.x86_64 0:0.27.2-2 neon-devel.i386 0:0.27.2-2
Dependency Installed: krb5-devel.x86_64 0:1.6.2-9.fc8 openssl-devel.x86_64
0:0.9.8b-17.fc8
Complete!


And...


$ rpm -q --requires neon-devel
/bin/sh  
expat-devel  
libneon.so.27()(64bit)  
neon = 0.27.2-2
openssl-devel  
pkgconfig  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
zlib-devel  
/bin/sh  
expat-devel  
libneon.so.27  
neon = 0.27.2-2
openssl-devel  
pkgconfig  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
zlib-devel  

$ rpm -q --requires openssl-devel
krb5-devel  
libcrypto.so.6()(64bit)  
libssl.so.6()(64bit)  
openssl = 0.9.8b-17.fc8
pkgconfig  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
zlib-devel 
Comment 6 Timothy Selivanow 2008-02-08 14:54:49 EST
Created attachment 294409 [details]
Changes made to the python-svn spec file
Comment 7 Timothy Selivanow 2008-02-08 14:57:00 EST
New spec and SRPM available:
http://yum.virtualxistenz.com/python-svn/python-svn.spec
http://yum.virtualxistenz.com/python-svn/python-svn-1.5.2-3.f8.src.rpm

(Sorry about the previous very long post, should have put that in as an attachment)
Comment 8 Timothy Selivanow 2008-02-08 14:57:48 EST
Err, should have been:
http://yum.virtualxistenz.com/python-svn/python-svn-1.5.2-4.f8.src.rpm
Comment 9 Mamoru TASAKA 2008-02-09 10:56:23 EST
This time rebuild failed with %check.
http://koji.fedoraproject.org/koji/taskinfo?taskID=408441
Comment 11 Mamoru TASAKA 2008-02-13 12:19:16 EST
For 1.5.2-5:

* rpm name
  - First of all, the name of rpm should be pysvn.

* pycxx dependency
  - This package uses pycxx 5.4.0
    http://cxx.sourceforge.net/
    Please file another review request for pycxx and make
    pysvn use system-wide pycxx.

* Parallel make
  - Support parallel make if possible.

* Timestamps
  - When using "install" or "cp" commands, please add "-p"
    option to keep timestamps on installed files.

* Documents
  - License text must be included as %doc if it exists.

* rpmlint
  - On i386:
------------------------------------------------------------------
python-svn.i386: W: unstripped-binary-or-object
/usr/lib/python2.5/site-packages/pysvn/_pysvn.so
python-svn-debuginfo.i386: E: empty-debuginfo-package
------------------------------------------------------------------
    This is because _pysvn.so does not have executional permission
    (the permission of _pysvn.so should be 0755)
Comment 12 Timothy Selivanow 2008-02-26 13:30:13 EST
So...I've been able to make all of the requested changes but one: pycxx dependency.

The others were easy, even over-sights on my part, but pysvn and pycxx are very
interwoven, in fact pycxx only exists for pysvn (same developer/maintainer, and
only went as far as making pycxx so he could get pysvn done).

If pycxx needs its own package (i.e. people would like to use it), then I'll
look at it.  As it is, pysvn pulls in the pycxx source and headers itself and
compiles pycxx itself, statically, for itself.  pycxx by itself does not have a
fully (Red Hat/Fedora) usable makefile and pysvn's needs tweaking for support,
and I'll have to learn a lot more about C++ and compiling C++ for use in a
shared library environment.

I know that in the past, syslog-ng 1.x had a dependency that was included so it
could build.  What is the policy now?

For now (http://koji.fedoraproject.org/koji/taskinfo?taskID=471353):
http://yum.virtualxistenz.com/pysvn/pysvn.spec
http://yum.virtualxistenz.com/pysvn/pysvn-1.5.2-6.f8.src.rpm (do I reset the
release version after the name changes?)
Comment 13 Mamoru TASAKA 2008-02-27 03:43:10 EST
(In reply to comment #12)

> If pycxx needs its own package (i.e. people would like to use it), then I'll
> look at it.  As it is, pysvn pulls in the pycxx source and headers itself and
> compiles pycxx itself, statically, for itself.  pycxx by itself does not have a
> fully (Red Hat/Fedora) usable makefile and pysvn's needs tweaking for support,
> and I'll have to learn a lot more about C++ and compiling C++ for use in a
> shared library environment.

  Well, then okay for now.
  So, as 1.5.3 seems already released, would you update the base
  version?
Comment 14 Timothy Selivanow 2008-02-27 18:57:32 EST
New stuff (http://koji.fedoraproject.org/koji/taskinfo?taskID=473702):
http://yum.virtualxistenz.com/pysvn/pysvn.spec
http://yum.virtualxistenz.com/pysvn/pysvn-1.5.3-1.f8.src.rpm

I'm still going to be working on removing the pycxx strangeness, but since I
don't have enough knowledge to do it now, I didn't want to stall this package.
Comment 15 Mamoru TASAKA 2008-02-29 09:51:37 EST
Ah.. I didn't notice this is NEEDSPONSOR ticket. So,
now as pysvn itself is okay:

-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 16 Mamoru TASAKA 2008-03-01 03:30:30 EST
*** Bug 433863 has been marked as a duplicate of this bug. ***
Comment 17 Mamoru TASAKA 2008-03-14 12:50:49 EDT
ping?
Comment 18 Timothy Selivanow 2008-03-14 14:46:44 EDT
(In reply to comment #17)
> ping?

This is just waiting on me resolving my NEEDSPONSOR status/reviewing other
people's packages, correct?  I'm not aware of any other outstanding issues with
this package...
Comment 19 Mamoru TASAKA 2008-03-15 11:49:32 EDT
I am waiting for your pre-review of other person's review request or
your another review request of another software as said in 
comment 15.
Comment 20 Mamoru TASAKA 2008-03-31 09:27:06 EDT
ping?
Comment 21 Bryan O'Sullivan 2008-04-01 14:24:18 EDT
This has test failures on Fedora 8 for me.

Info: Comparing test-01.unix.known_good.log
Info: Against   test-01.unix.new.log
Error: Test failed - test-01.unix.new.log
Comment 22 Bryan O'Sullivan 2008-04-01 14:32:42 EDT
By the way, I'd suggest naming the package python-svn (same as Debian and
Ubuntu), or python-pysvn, instead of plain pysvn.  Most Fedora Python packages
have a "python-" prefix, and it's irritating to try to guess what a package's
name will be when trying to install it, only to get it wrong.
Comment 23 Mamoru TASAKA 2008-04-01 14:59:04 EDT
(In reply to comment #22)
> (same as Debian and Ubuntu), 

Please don't be based on Debian's naming :)
Comment 24 Mamoru TASAKA 2008-04-03 10:42:44 EDT
Okay.

* This package itself is okay
* Your pre-reviews seem good for initial comments.

--------------------------------------------------------------------------
      This package (pysvn) is APPROVED by me
--------------------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor. At the stage, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.
! Note: In FAS process there may be some procedure different from
         what is written in "Join" wiki


If you want to import this package into Fedora 7/8, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 25 Mamoru TASAKA 2008-04-10 14:29:26 EDT
ping again?
Comment 26 Timothy Selivanow 2008-04-10 18:43:00 EDT
I'm sorry, I didn't read all of your last comment.  I already have a FAS account
and I'm waiting on cvsextras commit (is it really supposed to be cvsextras
still?  Seems like that should have been remove when Extras was merged with
Core...).


So for the formalities...

I'm officially requesting sponsorship, and my FAS account name is "ravenoak". 
I'm not sure if you've noticed, but all of the Koji build links that I've posted
(such as in comment #14) were under my FAS account.  I'll double check the
Package Maintainers doc to make sure I've hit all of the steps.
Comment 27 Mamoru TASAKA 2008-04-12 05:49:26 EDT
Okay, now I should be sponsoring you. Please follow "Join" wiki
page again.
Comment 28 Timothy Selivanow 2008-04-15 17:52:54 EDT
New Package CVS Request
=======================
Package Name: pysvn
Short Description: Pythonic style bindings for Subversion
Owners: ravenoak
Branches: F-9
InitialCC: ravenoak
Cvsextras Commits: yes
Comment 29 Kevin Fenzi 2008-04-15 21:38:39 EDT
cvs done.
Comment 30 Timothy Selivanow 2008-04-16 13:08:56 EDT
Build success for devel:
http://koji.fedoraproject.org/koji/taskinfo?taskID=568946

Build success for F-9:
http://koji.fedoraproject.org/koji/taskinfo?taskID=568958
Comment 31 Mamoru TASAKA 2008-04-16 14:09:38 EDT
Note:

As F-9 development is now frozen, pysvn is not pushed to F-9 repository
automatically.
- If you want to have pysvn pushed to F-9 repository at the same time F-9
  is formally released, ask Release Engineering team 
  ( rel-eng_AT_fedoraproject.org ) to add pysvn to f9-final package
  ( however it may be that rel-eng team does not want to add new packages
    without some _special_ reasons anymore )

- If rel-eng team rejects it, please visit 
  https://admin.fedoraproject.org/updates/ and request to push your F-9
  pysvn package to repository as "a update". Note that for now only
  F-7/F-8 updates requests are being accepted. F-9 updates requests will
  be open perhaps about one week before F-9 formal release.
Comment 32 Timothy Selivanow 2008-04-17 17:50:56 EDT
Package Change Request
======================
Package Name: pysvn
New Branches: F-8 EL-5
Comment 33 Kevin Fenzi 2008-04-17 22:01:53 EDT
cvs done.
Comment 34 Timothy Selivanow 2008-09-24 19:12:34 EDT
Package Change Request
======================
Package Name: pysvn
New Branches: F-10
Comment 35 Kevin Fenzi 2008-09-28 15:36:19 EDT
the devel branch is what will become F-10. 
We aren't doing early branches for F10 yet. When we are, you can request one, or just wait until late in the current cycle and all packages will be mass branched for F-10 before release.

Note You need to log in before you can comment on or make changes to this bug.